Bug 26892 - Remove warnings from t/db_dependent/Koha/Patrons.t
Summary: Remove warnings from t/db_dependent/Koha/Patrons.t
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25515
  Show dependency treegraph
 
Reported: 2020-11-02 10:26 UTC by Jonathan Druart
Modified: 2020-11-16 20:45 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26892: Remove warnings from Koha/Patrons.t (2.94 KB, patch)
2020-11-02 10:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26892: Remove warnings from Koha/Patrons.t (2.99 KB, patch)
2020-11-02 19:37 UTC, David Nind
Details | Diff | Splinter Review
Bug 26892: Remove warnings from Koha/Patrons.t (3.05 KB, patch)
2020-11-02 21:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-11-02 10:26:32 UTC
Those tests generate a lot of warnings "item-level_itypes set but no itemtype set for item"
Comment 1 Jonathan Druart 2020-11-02 10:27:41 UTC
Created attachment 112823 [details] [review]
Bug 26892: Remove warnings from Koha/Patrons.t

Test plan:
Confirm that the warnings "item-level_itypes set but no itemtype set for item"
disappear after applying this patch
Comment 2 David Nind 2020-11-02 19:37:55 UTC
Created attachment 112867 [details] [review]
Bug 26892: Remove warnings from Koha/Patrons.t

Test plan:
Confirm that the warnings "item-level_itypes set but no itemtype set for item"
disappear after applying this patch

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-11-02 21:29:07 UTC
Created attachment 112877 [details] [review]
Bug 26892: Remove warnings from Koha/Patrons.t

Test plan:
Confirm that the warnings "item-level_itypes set but no itemtype set for item"
disappear after applying this patch

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 10:00:10 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-16 20:45:59 UTC
patchset does not apply cleanly to 20.05.x, no backport